CREATE TABLE students
(
    id            BIGINT GENERATED BY DEFAULT AS IDENTITY NOT NULL,
    first_name    VARCHAR                                 NOT NULL,
    middle_name   VARCHAR,
    last_name     VARCHAR                                 NOT NULL,
    age           INTEGER,
    university_id BIGINT REFERENCES universities (id),

    CONSTRAINT pk_students PRIMARY KEY (id)
);

CREATE TABLE universities
(
    id     BIGINT GENERATED BY DEFAULT AS IDENTITY NOT NULL,
    name   VARCHAR                                 NOT NULL,
    closed BOOLEAN DEFAULT FALSE                   NOT NULL,

    CONSTRAINT pk_universities PRIMARY KEY (id),
    CONSTRAINT idx_university_name UNIQUE (name)
);